*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif, Arial, Helvetica, sans-serif;
    scroll-behavior: smooth;
}
body {
    min-height: 100vh;
    background: linear-gradient(#2b1055, #7597de);
    overflow-x: hidden;
}
header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 30px 100px;
    justify-content: space-between;
    align-items: center;
    display: flex;
    z-index: 10000;
}
header .logo {
    color: #fff;
    font-weight: 700;
    text-decoration: none;
    font-size: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
}
header ul {
    display: flex;
    justify-content: center;
    align-items: center;
}
header ul li {
    list-style: none;
    margin-left: 20px;    
}
header ul li a {
    text-decoration: none;
    padding: 6px 15px;
    color: #fff;
    border-radius:20px;
}
header ul li a:hover,
header ul li a.active {
    background: #fff;
    color:#2b1055;
}
section {
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: center;
    align-items: center;  
    overflow: hidden;     
}
section::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100px;
    background: linear-gradient(to top, #1c0522,transparent);
    z-index: 1000;
}
section img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
}
section img#moon {
    mix-blend-mode: screen;
}
section img#mountains_front {
    z-index: 10;
}
section img#fog {
    position: absolute;
    top:0px;
    left: 100%;
    width: 100%;
    height: 100%;
    content:'';
    background:repeat-x;
    background-size: contain;
    background-position: center; 
    animation: marquee 20s linear infinite;
}
@keyframes marquee {
    0% { left: 10000; }
    100% { left: -100%; }
}
#text {
    position: absolute;
    color: #fff;
    white-space: nowrap;
    font-size: 5.5vw;
    z-index: 9;
}
#btn {
    text-decoration: none;
    display: inline-block;
    padding: 8px 30px;
    border-radius: 40px;
    background-color: #fff;
    color: #2b1055;
    font-size: 1.5em;
    z-index: 9;
    transform:  translateY(100px);
}
.sec {
    position: relative;
    padding: 100px;
    background-color: #1c0522;
}
.sec h2 {
    font-size:  3.5em;
    margin-bottom: 10px;
    color: #fff;
}
.sec p {
    font-size: 1.2em;
    color: #fff;
}